/*=========================================================================*/
/* ------------------------------------------------------------------------
   Title     : edu_simu.h

   Version|By  Date    | Comments
   -------------------------------------------------------------------
   0.0    |ml  14/03/96| Creation
   1.0    |    29/08/96| typedef pour header, trailer
      
   Aim    : Definitions for EDU simulation.
            To be included.
                    
  ------------------------------------------------------------------------ */
/*=========================================================================*/

#define EDU_NEVTMAX 50000
#define EDU_NPARAM  8

typedef struct {
 u_short x  ;  
 u_short y  ;
 u_short n  ;   /* edu pattern number [0,31] */
 u_short cp ;   /* energy central pixel  */
 u_short e2 ;   /* (Sum energy pix. 3*3 >= th)-cp unsigned */
 short   e3 ;   /* (Sum energy pix. 3*3 <  th)    signed   */  
 short   e4 ;   /* (Sum energy pix. couronne 5*5 < th) signed */
 u_short ncp;   /* number of pix. >= th couronne 5*5 */
               } EDU_EVT ;
                
typedef struct {
 u_int      nevt ;                   /* number of events */
 EDU_EVT    Evt[ EDU_NEVTMAX ] ;     /* Event Array */
 u_int      npix ; 	                 /* number of pixels above threshold */
 u_int      fov  ;                   /* FIFO OVERFLOW indicator */
               } EDU_OUT ;
               

typedef struct {
 u_short gattifl ;
 u_short ccdid ;
 u_short ccdnode ;
 u_short edumode ;
 u_short eduthre ;
 u_short framenb ;
 u_short x0 ;  
 u_short y0 ;
 u_short dx ;  
 u_short dy ;
 u_short inttime ;
               } EDU_HEADER ;


typedef struct {
 u_short eduid ;
 u_short fifoverf ;
 u_short framenb ; 
 u_int   pixcount ;
 u_short coartime ;  
 u_short finetime ;
               } EDU_TRAILER ;


